Subject: RE: bug#9300: 24.0.50; `bounds-of-thing-at-point' does not return nil when just after THING

From: Drew Adams <[email-masked]>
Date: Tue, 28 Jul 2015 18:44:44 -0700 (PDT)

ping.

I rediscovered by accident that this bug still exists, because
I had assumed it would be fixed in Emacs 24, and my code was
mistakenly but in-vain-hopefully treating it as (assumed) fixed
in 24.  Since I use my library that doesn't have the bug I did
not run across it myself anymore.

;; The correct code here is (setq beg thg-end).  However, unless you
;; use my library `thingatpt+.el' or unless Emacs bug #9300 is fixed
;; (hopefully in Emacs 24), that will loop forever.  In that case we
;; move forward a char to prevent looping, but that means that the
;; position just after a THING is considered to be covered by the
;; THING (which is incorrect).
;;
(setq beg (if (or (featurep 'thingatpt+)  (> emacs-major-version 23))
              thg-end
            (1+ thg-end)))